Skip to main content
GET
/
api
/
graphs
/
{id}
Python
import requests

url = "https://app.langwatch.ai/api/graphs/{id}"

headers = {"X-Auth-Token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};

fetch('https://app.langwatch.ai/api/graphs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://app.langwatch.ai/api/graphs/{id} \
--header 'X-Auth-Token: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "graph": {},
  "filters": {},
  "dashboardId": "<string>",
  "gridColumn": 123,
  "gridRow": 123,
  "colSpan": 123,
  "rowSpan": 123,
  "createdAt": "<string>",
  "updatedAt": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Authorizations

X-Auth-Token
string
header
required

Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.

Path Parameters

id
string
required

Response

Success

id
string
required
name
string
required
graph
object
required
filters
object | null
required
dashboardId
string | null
required
gridColumn
number
required
gridRow
number
required
colSpan
number
required
rowSpan
number
required
createdAt
string
required
updatedAt
string
required